Workshop
Get Video Call Participant Preview
Returns the total number of eligible participants for a proposed video call based on active subscriptions to the selected mangoes.
- Pass
mangoes(comma-separated IDs) to include subscribers of those mangoes. - Optionally pass
excludeMangoesto exclude subscribers whose only subscription is to those mangoes.
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
mangoes*string
Comma-separated mango IDs to include. Subscribers of these mangoes are counted as eligible participants.
excludeMangoes?string
Comma-separated mango IDs to exclude. Subscribers whose only active subscription is to these mangoes will be excluded.
Header Parameters
x-whitelabel-host*string
Host name of the dashboard, ex: mydomain.tagmango.com
x-timezone-offset*string
Timezone offset (in number) example-> 330
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/workshops/video-calls/participant-preview?mangoes=66c4964c11e7fef26751f3a7%2C66c4964c11e7fef26751f3a8" \ -H "x-whitelabel-host: string" \ -H "x-timezone-offset: string"{
"totalParticipant": 120
}{
"code": 400,
"type": "Bad Request",
"statusMessage": "BAD_REQUEST",
"success": false,
"message": "Invalid request",
"result": "Invalid request"
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"result": "Invalid token",
"success": false
}{
"code": 403,
"type": "Forbidden",
"statusMessage": "FORBIDDEN",
"errorCode": "WORKSHOP_MANGO_FORBIDDEN",
"message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"success": false
}{
"code": 429,
"type": "Too Many Requests",
"statusMessage": "TOO_MANY_REQUESTS",
"message": "Request limit exceeded. try after 10 seconds",
"result": "Request limit exceeded. try after 10 seconds",
"success": false
}